Skip to main content

Restore a template

Restores a template. If template was archived it will be restored from the archive, and subsequently if the template was trashed it will be restored from the trash.

Parameters​

No parameters.

Returns​

Returns the restored template object.

post
/api/templates/{id}/restore
curl -X POST https://{workspace}.documocu.com/api/templates/{id}/restore \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": null,
"cover_page": null,
"created_at": "2024-05-14T13:26:20+00:00",
"deleted_at": null,
"id": "doc_5boql6lglq69lto2bhwso88d",
"name": "Est explicabo ut sed officia.",
"updated_at": "2024-05-14T13:26:20+00:00"
}